# NixOps configuration for the Raspberry Pi 3B Rack
{
  imports = [
    <nixpkgs/nixos/modules/installer/scan/not-detected.nix>
    ../hardware/raspberry_pi_3_model_B.nix
    ../profiles/host_common.nix
    ../profiles/server_common.nix
  ];

  # Ensure the right package architecture is used
  nixpkgs.localSystem = {
    system = "aarch64-linux";
    config = "aarch64-unknown-linux-gnu";
    allowUnfree = true;
  };

  systemd.network.networks.eth0.ipv6SendRAConfig = {
    EmitDNS = true;
    Managed = true;
    OtherInformation = true;
  };

  documentation = {
    nixos.enable = false; # Save some space by disabling the manual
  };
}
