{
  self,
  nixpkgs,
  inputs,
  ...
}: let
  nixosSystem = nixpkgs.lib.makeOverridable nixpkgs.lib.nixosSystem;
  customModules = import ../modules/modules-list.nix;
  baseModules = [
    # make flake inputs accessiable in NixOS
    {_module.args.inputs = inputs;}
    {
      imports = [
        ({pkgs, ...}: {
          nix.nixPath = [
            "nixpkgs=${pkgs.path}"
          ];
          nix.extraOptions = ''
            experimental-features = nix-command flakes
          '';
          documentation.info.enable = false;
        })
      ];
    }
  ];
  defaultModules = baseModules ++ customModules;
  deployment = {
    allowLocalDeployment = true;
  };
in {
  #toscano = import ./hosts/toscano/configuration.nix;
}
