# Nix configuration for toscano
#
# Dr Joseph Toscano has presented an anarchist analysis on local, national and
# international news and events that has been distributed nationally on the
# Community Radio Network since 1977.
#
# https://en.wikipedia.org/wiki/Joseph_Toscano
{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [
    ../../../networks/linode.nix
    ../../../profiles/hakyll-skeleton.nix
    ../../../profiles/reciproka-web.nix
    ../../../profiles/reciproka-forgejo.nix
    ../../../profiles/resrok-web.nix
    ../../../profiles/tmateServer.nix
    ../../../profiles/voc-web.nix
  ];

  age.secrets = {
    forgejo = {
      file = ../../../secrets/forgejo.age;
      owner = "forgejo";
      group = "forgejo";
    };
  };

  deployment = {
    tags = ["infra"];
    targetHost = "45.79.236.198";
  };

  networking.hostName = "toscano";

  system.stateVersion = "21.05"; # The version of NixOS originally installed
}
