{
  self,
  hakyll-skeleton,
  reciproka-web,
  ragenix,
  colmena,
  nixpkgs,
  nixpkgsUnstable,
  resrok-web,
  utils,
  voc-web,
  ...
} @ inputs:
(utils.lib.eachDefaultSystem (system: let
  pkgs = nixpkgs.legacyPackages."${system}";
in {
  devShell =
    pkgs.callPackage
    ./shell.nix {
      inherit (ragenix.packages."${pkgs.system}") ragenix;
      inherit (colmena.packages."${pkgs.system}") colmena;
      inherit (nixpkgsUnstable.legacyPackages."${pkgs.system}") alejandra;
    };
}))
// {
  colmena = {
    meta = {
      description = "NixOS deployment for Reciproka Kolektivo";
      name = "reciproka-ops";
      nixpkgs = import nixpkgs {
        system = "x86_64-linux";
        overlays = [];
      };
    };
    flemming = {
      imports = [
        ./nixos/hosts/flemming
        ragenix.nixosModules.default
      ];
    };
    pred = {
      imports = [
        ./nixos/hosts/pred
        ragenix.nixosModules.default
      ];
    };
    toscano = {
      imports = [
        ./nixos/hosts/toscano/configuration.nix
        ragenix.nixosModules.default
      ];
    };
  };
  # The below lines are in the wrong place
  #nixosConfigurations = import ./nixos/configurations.nix (inputs
  #  // {
  #    inherit inputs;
  #  });
}
