# User configuration common to all Reciproka Kolektivo servers
{
  config,
  pkgs,
  ...
}: {
  age.secrets = {
    root.file = ../secrets/root.age;
    fiscalvelvetpoet.file = ../secrets/fiscalvelvetpoet.age;
  };

  # Reciproka Ops groups:
  users.groups.fiscalvelvetpoet.gid = 1000;

  # Reciproka Ops Users
  users.users.fiscalvelvetpoet = {
    isNormalUser = true;
    uid = 1000;
    group = "fiscalvelvetpoet";
    extraGroups = ["wheel"];
    # fix this
    hashedPasswordFile = config.age.secrets.fiscalvelvetpoet.path;
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJDMAhG6+40YiYy9wqruHK9M2fLwYAqikJSJ/pRjR/so fiscalvelvetpoet@reciproka"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAID7qAXTCAnqq+3ks4L8/2f4J8RxmrFaMOCA7m9ImbW2m fiscalvelvetpoet@sealgair"
    ];
  };

  users.users.root = {
    # fix this
    hashedPasswordFile = config.age.secrets.root.path;
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJDMAhG6+40YiYy9wqruHK9M2fLwYAqikJSJ/pRjR/so fiscalvelvetpoet@reciproka"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAID7qAXTCAnqq+3ks4L8/2f4J8RxmrFaMOCA7m9ImbW2m fiscalvelvetpoet@sealgair"
    ];
  };
}
